Subject: bug#75017: 31.0.50; Untrusted user lisp files

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Dec 2024 14:30:21 +0200

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Fri, 27 Dec 2024 13:36:55 +0000
> 
> > I think this is the end-user's responsibility, not yours.  So I urge
> > you to reconsider.  At the very least ask the user at installation
> > time whether she wants to declare the entire tree trusted, but don't
> > do it unconditionally, because it basically renders this change in
> > large part ineffective, and then why did we even bother to do it,
> > delaying the release etc.?
> 
> It sounds like I am significantly misunderstanding something.  I thought
> that this trusted-files change was about, e.g., random Lisp files in my
> ~/Downloads/.  Debian will certainly not be marking those as trusted!

Right.

> Let me step back a bit.
> 
> If you install Emacs on the next release of Debian and you enable
> installing all suggested packages, you'll also get a bunch of major
> modes from GNU ELPA and elsewhere, such as markdown-mode (thanks to
> Xiyue Deng for sorting out the metadata such that these other modes are
> suggested by our package manager).
> 
> These are Debian-vetted versions of these packages; we have lots of
> users who don't want to use package.el directly.  The Lisp is installed
> under /usr/share/emacs/site-lisp/elpa-src.  It's equally as safe as the
> code for Emacs itself; the same people (Debian Developers) have upload
> access for Emacs and for all those other major modes.  So, I would have
> thought we would be marking those as trusted on behalf of our users.
> 
> Does this still seem wrong to you?  Can you see what I've misunderstood?

I think you assume that since this stuff is installed from Debian,
those directories are forever trusted.  But that is only true
immediately after the installation.  Some time after that, anything
can happen with these directories.  Whether they can be trusted from
now to eternity is something for the user to say.

At least this is my opinion.  I don't see myself as an expert on this,
so please wait for Stefan and others to chime in if they have
different opinions.